Subject: World cruise, part 1

From: Donald Rancourt <[email-masked]>
Date: Thu, 14 Jan 2016 08:46:28 -0500

Well, I wasn't going to send out anything this early.... But!!!

I almost titled this " that horrible, terrible, sinking feeling"... Read on.

We started off wed morning, with our good friends Larry and Maureen
( who are house sitting for us for 2 months) who took us to the
Winter park train station.... We arrived there about noon-ish, for
The first leg of our train trip ( winter park to Washington, D.C.). The
Train was on time, and we boarded for a 1:52 departure.

Our train porter wasn't very good.... Never responded to our call
Button ( to make up the bed or close it ), and I also requested a 6 am
Wake up call... Which we never got... Fortunately I awoke at 5:45,
And we arrived I DC about 30 minutes early ( Thursday am). Since DC
 Wasn't the end of the line, we had to be ready to exit the train
Before it pulled out again.  All that went fine.

As we are walking thru union station in DC, as a matter of habit I
Always periodically check my front and back pockets.... And....
You guessed it, my back pocket was empty.... NO WALLET.
There is no worse feeling than putting you hand in your back pocket
And realizing your wallet is gone!  At first I thought maybe a pick pocket,
But the station was relatively empty (6:30 am), and also the button
On my pocket was till buttoned! I dropped all our carry one, yelled
To Louise to watch the bags, while I ran back to the train... Figuring
The wallet must have somehow fallen out in our room while we were
Getting dressed ( I had my wallet at dinner the night before)

While I am back in our bedroom, with our room guy tearing up the place
Looking for my wallet ( with all my id, license, money for the trip, credit
cards, etc)
I hear Louise calling for me..... Evidently another Passenger ( a Florida
Seminole fan) with his wife and 2 kids, found my Wallet, gave it to Louise,
and volunteered to watch our luggage while Louise came back to get me.

What a relief.... and I figured out that my back pocket had a rip in it....
So my wallet fell thru that hole, and down my pant leg, and onto the
Ground while I was walking in the station. Very fortunate that my wallet
Was found by a very honest person. I offered him $20, or to buy his
Family breakfast... But he would have none of that... He just wished us
A good trip.  Not your typical person that you run into in Washington
Union station. So we make our way to the lounge, to wait for our
Next train ( which boards at 3:30). I was dripping wet with sweat from
Running. Plus I was weazzing a bit... Probably from hyper-ventilating.
After about 30 minutes, my body was back to normal... We will unwind
In the first class lounge for a few hours.... Louise's sister is meeting us
Here for lunch, and we will await for our 3:30 boarding of our train
To go to Chicago.

Hopefully, this was our " glitch" for this trip.... Although that's what
Jim Lovell said on Apollo 13 during lift-off!!  Hopefully the rest of our
Trip will go a bit smoother ( no oxygen tank explosions !! )

That's all for now

Don